<?php
declare(strict_types=1);

namespace SlackModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * SlackSettingsFixture
 */
class SlackSettingsFixture extends TestFixture {
    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id'                 => ['type' => 'integer', 'length' => 11, 'unsigned' => true, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'api_url'            => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'oauth_access_token' => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'two_way'            => ['type' => 'boolean', 'length' => null, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'use_proxy'          => ['type' => 'boolean', 'length' => null, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'created'            => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        'modified'           => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        '_constraints'       => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
        ],
        '_options'           => [
            'engine'    => 'InnoDB',
            'collation' => 'utf8_swedish_ci'
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Init method
     *
     * @return void
     */
    public function init(): void {
        $this->records = [
            [
                'id'                 => 1,
                'api_url'            => 'Lorem ipsum dolor sit amet',
                'oauth_access_token' => 'Lorem ipsum dolor sit amet',
                'two_way'            => 1,
                'use_proxy'          => 1,
                'created'            => '2020-01-16 09:25:03',
                'modified'           => '2020-01-16 09:25:03',
            ],
        ];
        parent::init();
    }
}
